### Method

# Clutter BindingPool activate

#### Declaration [src]

    gboolean
    clutter_binding_pool_activate (
      ClutterBindingPool* pool,
      guint key_val,
      ClutterModifierType modifiers,
      GObject* gobject
    )

#### Description [src]

Activates the callback associated to the action that is bound to the `key_val` and `modifiers` pair.

The callback has the following signature:

      void (* callback) (GObject             *gobject,
                         const gchar         *action_name,
                         guint                key_val,
                         ClutterModifierType  modifiers,
                         gpointer             user_data);

Where the `GObject` instance is `gobject` and the user data is the one passed when installing the action with `clutter_binding_pool_install_action()`.

If the action bound to the `key_val`, `modifiers` pair has been blocked using `clutter_binding_pool_block_action()`, the callback will not be invoked, and this function will return `FALSE`.

#### Parameters

`key_val`

  Type: `guint`

  The key symbol.

`modifiers`

  Type: `ClutterModifierType`

  Bitmask for the modifiers.

`gobject`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if an action was found and was activated.